Re : Esourcing system problems

Re : Esourcing system problems

  
hi,
i have been trying to run the esourcing.oml that i downloaded from outsytems agile component download section but it doesnt run on service studio 5.1.1.7 it s displaying so many warnings and errors even without any modification from me.i dont know if its compatible with my service studio version but my service studio carried out an upgrade but there were too many errors and warnings.
Hi Tmlewin,

The eSourcing component you mention is no longer available for download, and the reason is probably because there are some dependencies that no longer work correctly.

However, I would assume that with some tweaking you would be able to get it to work. Sometimes it's just a matter of updating references.

What kind of errors are you getting? Can you take a screenshot of the TrueChange tab?

And also, since it is no longer available, when and where did you download it from?

Regards,

Paulo Tavares
here is a snapshot and attachment of the solution

here is the solution itself ,it had almost a 100 warnings and errors on service studio 5.1
Hi Tmlewin,

I upgraded the eSpace with 5.1.1.7, and there were 69 warnings, but no errors to be found. I did not refresh the references, because I do not have them in my Agile Platform Server.

Some of the warnings relate to some improvements we did in the OutSystems language, others relate to warnings we inserted later for best-practice recommendations.

Still, these shouldn't stop you from publishing and testing the solution.

You would, however, need all the references that this particular eSpace requires. If you do refresh the references, and you do not have the references, then you will get errors.

As I mentioned in my first post, this component is not available for download in our components page, either because some of the dependencies no longer work as expected, or because some reason I am unaware of.

I ask again: where did you get it from? If you downloaded a solution, it should contain all the required references for the eSpace to load - probably with a little tweaking, maybe. If you got it from someplace else, the best I can recommend is that you access that server and download the references as well. Note, however, that they might already have been changed, and/or may be incompatible with the ones you currently have in your server.

Regards,

Paulo Tavares
It used to be in the components section 1 week ago...

found it... http://www.outsystems.com/forge/108/esourcing/
Hi Joost,

Thanks for the link. I apologize if I didn't make myself clear: even though that page exists, the component is not available for download there :) One can only read the data sheet, and watch the demo - at least as I see it here, there is no download button.

However, I was just made aware that it is downloadable here:

http://www.outsystems.com/community/download.aspx?DocumentId=275

Still, as far as I am aware, this is supposed to be working, at least in 5.0, and if not, it should be do-able with some minor tweaks. This relates to the eventual upgrade problems.

However, I've also been made aware that this is an open-source component that has been released about one year ago. However, this is also a complex component, with several eSpaces and extensions, and that requires an initial setup. Usually, the installation of such a component requires previous knowledge or the support from someone who has dealt with it in the past.

As I also mentioned in the past, its references are probably incompatible with the ones you currently have in your Platform Server, which will probably cause you some problems.

I talked to one of my colleagues, Daniel Lourenço, who will contact you regarding how to proceed with this topic.

I hope this will help you.

Regards,

Paulo Tavares
Paulo Tavares wrote:
Hi Joost,

Thanks for the link. I apologize if I didn't make myself clear: even though that page exists, the component is not available for download there :) One can only read the data sheet, and watch the demo - at least as I see it here, there is no download button.

However, I was just made aware that it is downloadable here:

http://www.outsystems.com/community/download.aspx?DocumentId=275

Still, as far as I am aware, this is supposed to be working, at least in 5.0, and if not, it should be do-able with some minor tweaks. This relates to the eventual upgrade problems.

However, I've also been made aware that this is an open-source component that has been released about one year ago. However, this is also a complex component, with several eSpaces and extensions, and that requires an initial setup. Usually, the installation of such a component requires previous knowledge or the support from someone who has dealt with it in the past.

As I also mentioned in the past, its references are probably incompatible with the ones you currently have in your Platform Server, which will probably cause you some problems.

I talked to one of my colleagues, Daniel Lourenço, who will contact you regarding how to proceed with this topic.

I hope this will help you.

Regards,

Paulo Tavares
 
Hi Paulo,

Do you have this component working by any chance, can you send me the solution with all dependencies.

Shashank Diwan
sdiwan@netlink.com
I think you have to check Wayback machine ;-) because in 2011 it was already on 'old' component